/*
*  Copyright (C) 2007 Alexander Dietz, Drew Keppel, Duncan Brown, David Chin, Jolien Creighton, Kipp Cannon, Stephen Fairhurst
*/

#ifndef _TIMEDELAY_H
#define _TIMEDELAY_H

#include "Date.h"

#ifdef __cplusplus
extern "C"
{
#endif
  
  double ArrivalTimeDiff(
			     const double detector1_earthfixed_xyz_metres[3],
			     const double detector2_earthfixed_xyz_metres[3],
			     const double source_right_ascension_radians,
			     const double source_declination_radians,
			     const double gpstime
			     );
  
  double TimeDelayFromEarthCenter(
				  const double detector_earthfixed_xyz_metres[3],
				  double source_right_ascension_radians,
				  double source_declination_radians,
				  const double gpstime
				  );
  
#ifdef __cplusplus
}
#endif

#endif /* !defined _TIMEDELAY_H */
